Entwurf Kreis

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Circle and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Vorherige: Draft Fillet.svg Verrundung
Nächste: Bogen Draft Arc.svg Arrow-right.svg

Draft Circle.svg Entwurf Kreis

Menüeintrag
Entwurf → Kreis
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
C I
Eingeführt in Version
0.7
Siehe auch
Entwurf Bogen, Entwurf Ellipse, Makro KreisPlus

Beschreibung

Das Kreiswerkzeug erstellt einen Kreis in der aktuellen Arbeitsebene durch Eingabe von zwei Punkten, dem Mittelpunkt und dem Radius, oder durch Aufnehmen von Tangenten oder einer beliebigen Kombination davon. Es wird das Entwurf Linienstil verwendet, das auf dem Entwurf Tray eingestellt ist.

Dieses Werkzeug arbeitet genau wie das Entwurf Bogen Werkzeug, außer dass es einen vollen Umkreis erstellt. Um eine Ellipse zu zeichnen, verwende Entwurf Ellipse.

Draft Circle example.jpg

Kreis definiert durch zwei Punkte

Anwendung

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Drücke die Draft Circle.png Kreis Schaltfläche oder drücke C, dann I Tasten.
  2. Klicke einen ersten Punkt in der 3D Ansicht oder tippe eine Koordinate und drücke die Draft AddPoint.svg Punkt hinzufügen-Schaltfläche.
  3. Klicke einen zweiten Punkt in der 3D Ansicht oder gib einen Wert für den Radius ein.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Optionen

  • Die primäre Anwendung des Kreis-Werkzeugs erfolgt durch Auswahl von zwei Punkten: dem Mittelpunkt und einem Punkt auf dem Umkreis zur Definition des Radius.
  • Durch Drücken von Alt kannst Du eine Tangente anstatt eines Punkts zur Definition des Basiskreises des Bogens auswählen. Du kannst deshalb verschiedene Kreisarten durch Auswahl von ein, zwei oder drei Tangenten erstellen.
  • Um Koordinaten manuell einzugeben, gibt einfach die Ziffern ein, drücke dann Enter zwischen den X-, Y- und Z-Komponenten. Du kannst den Draft AddPoint.svg Punkt hinzufügen-Button drücken, nachdem die gewünschten Werte eingegeben wurden.
  • Drücke Alt+N oder klicke das Ankreuzkästchen zum de/aktivieren des Fortsetzungsmodus. Wenn der Fortsetzungsmodus aktiviert ist, wird das Kreis-Tool nach Eingabe des zweiten Punkts neugestartet, um das Zeichnen eines weiteren Kreises ohne erneutes Drücken des Kreis-Buttons zu ermöglichen.

Klicke das Ankreuzkästchen zum de/aktivieren des Gefüllt-Modus. Wenn der 'Geüllt'-Modus aktiviert ist, wird der Kreis mit einer Fläche gefüllt.

  • Drücke Strg während des Zeichnens, um das Einrasten Deines Punkts an der nächsten Einrastposition zu erzwingen, unabhängig vom Abstand.
  • Drücke Shift während des Zeichnens, um Deinen Punkt horizontal oder vertikal in Relation zum ersten einzuschränken.
  • Drücke Esc oder den Schließen-Button, um den aktuellen Befehl abzubrechen.
  • Der Kreis kann nach der Erstellung durch Setzen von unterschiedlichen Wertes für die Eigenschaften des ersten und letzten Winkels in einen Kreisbogen umgewandelt werden.

Notes

Der Kreis kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Draft Edit.svg Draft Bearbeiten Schaltfläche. Dann können der Mittel- und die Radiuspunkte an eine neue Position verschoben werden.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

Daten

  • Daten-EigenschaftFirst Angle: Gibt den Startwinkel des Kreises an; normalerweise 0°.
  • Daten-EigenschaftLast Angle: Gibt den Endwinkel des Kreises an; normalerweise 0°.
  • Daten-EigenschaftRadius: Gibt den Radius des Kreises an.
  • Daten-EigenschaftMake Face: Gibt an, ob der Kreis ausgefüllt wird. Falls auf true gesetzt, wird eine Fläche erstellt, ansonsten wird nur der Umfang als Teil des Objekts betrachtet. Diese Eigenschaft funktioniert nur, wenn die Form einen vollen Umfang hat.
Damit es ein Vollkreis ist, sollten DatenAnfangswinkel und DatenEndwinkel den gleichen Wert haben, ansonsten wird ein Draft Arc angezeigt. Die Werte 0° und 360° werden nicht als gleich angesehen, so dass der Kreis bei Verwendung dieser beiden Werte keine Fläche bildet.

View

Draft

Ansicht

  • Ansicht EigenschaftPattern: definiert ein Entwurfsmuster, mit dem die Kreisoberfläche gefüllt wird. Diese Eigenschaft funktioniert nur, wenn Daten-EigenschaftMake Face auf true und Ansicht EigenschaftDisplay Mode auf "Flat Lines" gesetzt ist.
  • Ansicht EigenschaftPattern Size: gibt die Größe des Musters an.

Scripting

Skriptsprache

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Kreis Werkzeug kann sowohl in Makros als auch aus der Python-Konsole heraus mittels folgender Funktion angesprochen werden:

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Erstellt ein Circle Objekt mit gegebenem radius in mm.
    • radius kann auch eine Part.Edge sein, dessen Curve Attribut ein Part.Circle sein muss.
  • Falls ein placement angegeben ist, wird es benutzt. Anderenfalls wird die Form am Ursprung erstellt.
  • Falls face auf true gesetzt ist, wird der Kreis ausgefüllt, sonst als ein Drahtmodell gezeigt.
  • Falls startangle und endangle angegeben sind (in Grad) und unterschiedliche Werte haben, werden sie benutzt und das Objekt erscheint als Draft Bogen.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()


Arrow-left.svg Vorherige: Draft Fillet.svg Verrundung
Nächste: Bogen Draft Arc.svg Arrow-right.svg